Description

The error message used by the DNS conflict check to handle DNS resolution failures assumes the domain always has zero or two

nameservers.  Given the implementation of Domain#nameservers, which can return 0-many, it shouldn't be hardcoded to two.

https://github.com/theforeman/foreman/pull/2680/files#diff-2e08cc169e9a6f52d8ede37144c208acR179

Related issues:

Related to Foreman - Refactor #11709: Improve DNS conflict timeout handling Closed 09/07/2015

Associated revisions

Revision 448b447e - 09/17/2015 11:01 AM - Lukas Zapletal

Fixes #11850 - improved DNS error message

History

#1 - 09/16/2015 07:54 AM - Dominic Cleal

- Related to Refactor #11709: Improve DNS conflict timeout handling added

#2 - 09/17/2015 06:16 AM - Lukas Zapletal

Doesnt our UI force you to enter 0-2?

In the worst case there will be "nil" in the error message, the code works just fine.

#3 - 09/17/2015 06:24 AM - Dominic Cleal

Lukas Zapletal wrote:

Doesnt our UI force you to enter 0-2?

 Domain#nameservers uses SOA and NS records, I think you're thinking of the subnet dns_primary/secondary fields which are different and not used

here.

In the worst case there will be "nil" in the error message, the code works just fine.

 Yeah, or missing nameservers in the error message.  This is why I've filed it as low priority.

#4 - 09/17/2015 06:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2733 added

- Pull request deleted ()

#5 - 09/17/2015 11:03 AM - Dominic Cleal

- Assignee set to Lukas Zapletal
https://github.com/theforeman/foreman/pull/2680/files#diff-2e08cc169e9a6f52d8ede37144c208acR179


- translation missing: en.field_release set to 63

#6 - 09/17/2015 12:02 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 448b447effca3cc273c92739c703d684647ae420.
